stages:
  - build

gitlab-deploy:
  image: docker:17.04-git
  services:
    - docker:17.04-dind
  stage: build
  variables:
    ROCKETCHAT_GITLAB_RELEASE_IMAGE: $CI_REGISTRY_IMAGE/rocketchat-gitlab:$CI_BUILD_REF_NAME
  script:
    - docker login -u "gitlab-ci-token" -p "$CI_JOB_TOKEN" $CI_REGISTRY
    - docker build -f docker/Dockerfile -t $ROCKETCHAT_GITLAB_RELEASE_IMAGE .
    - docker tag $ROCKETCHAT_GITLAB_RELEASE_IMAGE "$CI_REGISTRY_IMAGE/rocketchat-gitlab:latest"
    - docker push $ROCKETCHAT_GITLAB_RELEASE_IMAGE
    - docker push "$CI_REGISTRY_IMAGE/rocketchat-gitlab:latest"
  only:
    - /master/
